Skip to main content

Retrieve an IPA serial number

Retrieves an IPA serial number. Use this to view the serial number associated with an IPA device.

HTTP method and endpoint

POST /ipa/services/sn-lookup

Token usage

NetApp Console service token.

Usage notes

Retrieves an IPA serial number.

Parameters

Name Type In Required Description

X-Service-Request-Id

string

header

False

Request identifier

Request Body

Name Type Required Description

snLookupAccessToken

string

True

serialNumber

string

False

licensesLicenseProtocol

string

False

licensesType

string

False

hostId

string

False

licensesPackage

string

False

Example request
{
  "snLookupAccessToken": "string",
  "serialNumber": "string",
  "licensesLicenseProtocol": "string",
  "licensesType": "string",
  "hostId": "string",
  "licensesPackage": "string"
}

Response

Status: 4xx, Client error response
Name Type Required Description

error

string

False

Error code/category

message

string

False

Error description message

Example response
{
  "error": "string",
  "message": "string"
}

Response

Status: 5xx, Server error response
Name Type Required Description

error

string

False

Error code/category

message

string

False

Error description message

Example response
{
  "error": "string",
  "message": "string"
}